package jalview.ws.params.simple;

import jalview.ws.params.ValueConstrainI;

/**
 * A class that represents a file parameter. User entry options should include
 * direct input of a file path as text, or file selection using a file browser.
 * 
 * @author gmcarstairs
 *
 */
public class FileParameter extends StringParameter
{

  public FileParameter(String name, String description, boolean required,
          String defValue, String value)
  {
    super(name, description, required, defValue, value);
  }

  @Override
  public ValueConstrainI getValidValue()
  {
    return new ValueConstrainI()
    {

      @Override
      public ValueType getType()
      {
        return ValueType.File;
      }

      @Override
      public Number getMax()
      {
        return null;
      }

      @Override
      public Number getMin()
      {
        return null;
      }
    };
  }

}
